
<?php
include_once  'language.php';
if(isSet($_GET['lang']))
{
$langu = $_GET['lang'];
$_SESSION['lang'] = $langu;
}else{
    $_SESSION['lang'] = "mk";
}
retlang();
?>
<!DOCTYPE html>
<html lang="mk">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Nexys Web System</title>
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.css">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="57x57" href="favico/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="favico/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="favico/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="favico/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="favico/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="favico/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="favico/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="favico/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="favico/apple-icon-180x180.png">
     <link rel="icon" type="image/png" sizes="32x32" href="favico/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="favico/favicon-96x96.png">
     <link rel="manifest" href="favico/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="favico/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">
</head>
<body class="hold-transition sidebar-collapse" >
<div class="wrapper">
    <nav class="main-header navbar  navbar-white navbar-light">
        <ul class="navbar-nav">
            <li class="nav-item">
                    <img src="logo.png" style="width:130px;height:100px;"/>
            </li>
            <li class="nav-item">
                <h3 class="card-title"><?php echo $EmriFirmes ?> </h3>
            </li>
</ul>
    </nav>
<?php
function kat_analitika($lang){
    echo '
                                    <thead>
                                    <tr>
                                        <th>'.$lang['OPT_NazivNaStoka'].'</th>
                                        <th>'.$lang['OPT_ProdCena'].'</th>
                                        <th>'.$lang['OPT_EdinCena'].'</th>
                                        <th>'.$lang['OPT_OpisNaStoka'].'</th>
                                        <th>'.$lang['OPT_Dostapnost'].'</th>
                                        <th>'.$lang['OPT_RedovnaCena'].'</th>
                                        <th>'.$lang['OPT_CenaSoPopust'].'</th>
                                        <th>'.$lang['OPT_VidProdPotkniz'].'</th>
                                        <th>'.$lang['OPT_Vremetraenje'].'</th>
                                    </tr>
                                    </thead>
                                    <tbody>';
    function getXMLnode($object, $param) {
        foreach($object as $key => $value) {
            if(isset($object->$key->$param)) {
                return $object->$key->$param;
            }
            if(is_object($object->$key)&&!empty($object->$key)) {
                $new_obj = $object->$key;
                $ret = getCfgParam($new_obj, $param);
            }
        }
        if($ret) return (string) $ret;
        return false;
    }

    $xml=simplexml_load_file("artweb.xml") or die("Error: Cannot create object");
   // print_r($xml);
   // echo $xml->Invoices[0]->Column1;

    foreach($xml->Invoices as $ftpxml)
    {
        if ($ftpxml->Column12 == 1){
            echo '<tr>';
            echo '<td>'.$ftpxml->Column2.'</td>';
            echo '<td align="right">'.$ftpxml->Column4.'</td>';
            echo '<td align="right">'.$ftpxml->Column5.'</td>';
            echo '<td>'.$ftpxml->Column6.'</td>';


            if ($ftpxml->Column7 == 1){
                echo    '<td align="center"><i style="color: green" class="fas fa-check-circle"></i></div></td>';
            }else{
                echo '<td align="center"><i style="color: red" class="fas fa-times-circle"></i></td>';
            }


            echo '<td align="right">'.$ftpxml->Column8.'</td>';


            if ($ftpxml->Column9 == 0){
                echo '<td></td>';
            }else{
                echo '<td>'.$ftpxml->Column9.'</td>';
            }

            echo '<td>'.$ftpxml->Column10.'</td>';
            echo '<td>'.$ftpxml->Column11.'</td>';
            echo '</tr>';
        }

    }
    echo '  </tbody>

                                </table>
                                
                                ';
    echo 'Сите цени се во ДЕНАРИ (ден).';
    echo '<br>';
    $filename = "artweb.xml";
    if (file_exists($filename)) {
        echo 'последно ажурирање : '. date ("d.m.Y H:i", filemtime($filename));;
    }
}
?>
<div class="content-wrapper">
    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header  bg-primary mb-12">
                            <h3 class="card-title">
                            <div class="btn-group">
                            <button class="btn btn-warning btn-sm">
                            <a id="futeri>" href="#futeri"> <i class="fas fa-angle-double-down"></a></i>
                            </button>
                            <strong><?php echo $lang['MENU_katart'] ?></strong></h3>
                            </div>

                            <div class="card-body">
                                <table id="example2" class="table table-bordered table-hover">

                            <?php  kat_analitika($lang) ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="plugins/jquery/jquery.min.js"></script>
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="dist/js/adminlte.min.js"></script>
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script>
    $(function () {
        var filegjuha = "";
        filegjuha = "lang/mk.json";
        $("#example2").DataTable({
            "responsive": false,
            "autoWidth": false,
            "searching": true,
            "ordering": false,
            "info": true,
            "lengthMenu": [[10, 50, 100, -1], [10, 50, 100, "ALL"]],
            "language": {"url": filegjuha}

        })});

</script>
<a id="back-to-top" href="#" class="btn btn-primary back-to-top" role="button" aria-label="Scroll to top">
    <i class="fas fa-chevron-up"></i>
</a>
<div><a id="futeri"></a></div>
<footer class="main-footer">
</footer>
</div>

</body>
</html>
